#ifndef _UNSUBSCRIPTION
#define _UNSUBSCRIPTION

#include "p_functions.h"
#include <string>

/**
 * UnSubscription class.
 * It will remove the subscriptioin and its presentity for the user
 */
class UnSubscription : public PresenceFunction
{
  public :
    UnSubscription();
  UnSubscription(PresenceHandler *, string);
  ~UnSubscription();
  
  
  /**
   * Apply() method.
   */
  virtual int apply();
  
  
 private:
  string presentity;
  
};
#endif 

