#include "rls_presds.h"

RLSPresentityDS :: RLSPresentityDS()
{
}

RLSPresentityDS :: RLSPresentityDS (string presentity)
{
  presentity_name = presentity;
  setURI(presentity_name);
  unsubscription = false;	

  debug(DEBUG_PRES, "RLSPresentityDS::RLSPresentityDS",
	"constructor done for %s\n", presentity.c_str()); 
}

RLSPresentityDS :: ~RLSPresentityDS()
{
  debug(DEBUG_PRES, "RLSPresentityDS::RLSPresentityDS","destructor %s\n",
	presentity_name.c_str()); 
  //delete outgoingCall;
  //delete incomingCall;
  
}

void RLSPresentityDS::store(string to_userdomain, MySIP_PA* outgoingCall)
{
  debug(DEBUG_PRES, "RLSPresentityDS::store",
	"storing outgoing calls for presentity %s\n", presentity_name.c_str());
 
  //Nothing needs to be done! 
  
  debug(DEBUG_PRES, "RLSPresentityDS::store","Done storing outgoing call\n");
}

void RLSPresentityDS::remove()
{
  delete outgoingCall;
  delete incomingCall;

  debug(DEBUG_PRES, "RLSPresentityDS::remove","removed all resources\n");
}
