#ifndef _SEND_EVENTLIST_NOTIFICATION
#define _SEND_EVENTLIST_NOTIFICATION

#include "send_pres_notification.h"
#include "presds.h"

/**
 * SendEventlistNotification.
 * This class is used to create notify bodies for eventlist package.
 */
class SendEventlistNotification : public SendPresNotification
{
  public :
    
  SendEventlistNotification();
  SendEventlistNotification(PresenceHandler *, PresentityDS* pds);
  ~SendEventlistNotification();
  
	 
  /**
   * Creates and Sends Notification message.
   */
  void create_and_send_notify();
  
  
  /**
   * Apply() method.
   * It calls the create_and _send_notify.
   */
  virtual int apply();
  
  
  //create body for NOTIFY with state active for triggered by SUBSCRIBE 
  string prepareActiveNotify(PresentityDS* pds, SubscriberDS *sds); 


 private:

  PresentityDS* preDS;

};
#endif 

